%define ver_major 2.16
%def_enable frequency_selector
# Uses libapm that doesn't exist on x86_64. GNOME Power Manager does the
# same work better.
%def_disable battstat
# Requires system-tools-backends that are not likely to appear in Sisyphus,
# but who knows?
%def_disable modemlights
%def_with hal

Name: gnome-applets
Version: %ver_major.2
Release: alt2

Summary: Small applications for the GNOME panel
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-2.6.0-alt-install_makefile.patch
Patch1: %name-2.9.90-alt-modemlights.patch
Patch2: %name-2.3.5-alt-geyes_schema.patch
Patch3: %name-2.16.1-relax-buildreqs.patch
Patch4: %name-2.16.2-gswitchit-install-more-headers.patch

# From configure.in
%define gtk_ver 2.6.0
%define glib_ver 2.6.0
%define libgnomeui_ver 2.8.0
%define gnome_vfs_ver 2.15.4
%define GConf_ver 2.8.0
%define scrollkeeper_ver 0.1.4
%define gnome_panel_ver 2.13.4
%define libgtop_ver 2.11.92
%define libglade_ver 2.4.0
%define libgail_ver 1.1.0
%define libxklavier_ver 2.91
%define libwnck_ver 2.9.3
%define gnome_desktop_ver 2.11.1
%if_enabled battstat
%define libnotify_ver 0.3.2
%else
%define libnotify_ver 0.2.1
%endif
%define hal_ver 0.5.3
%define dbus_ver 0.62
%define dbus_glib_ver 0.34
%define icon_theme_ver 2.15.91
# The below is for invest applet (we don't build it).
%define pygtk_ver 2.6
%define gnome_python_ver 2.10

%define rpm_ver 4.0.4-alt14

Requires: %name-charpick = %version-%release		%name-drivemount = %version-%release
Requires: %name-stickynotes = %version-%release
Requires: %name-geyes = %version-%release
Requires: %name-gweather = %version-%release
Requires: %name-mini-commander = %version-%release	
Requires: %name-multiload = %version-%release
Requires: %name-accessx-status = %version-%release	%name-mixer = %version-%release
Requires: %name-gswitchit = %version-%release

# From configure.in
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: scrollkeeper >= %scrollkeeper_ver
BuildPreReq: libgnome-panel-devel >= %gnome_panel_ver
BuildPreReq: libgtop2-devel >= %libgtop_ver
BuildPreReq: libglade2-devel >= %libglade_ver
BuildPreReq: libgail-devel >= %libgail_ver
BuildPreReq: libxklavier-devel >= %libxklavier_ver
BuildPreReq: libwnck-devel >= %libwnck_ver
BuildPreReq: libgnome-desktop-devel >= %gnome_desktop_ver
BuildPreReq: libnotify-devel >= %libnotify_ver
BuildPreReq: gnome-icon-theme >= %icon_theme_ver
BuildPreReq: intltool >= 0.35
BuildPreReq: python-devel
BuildPreReq: libX11-devel libXt-devel
BuildPreReq: gnome-control-center-devel
BuildPreReq: libgucharmap-devel >= 1.4.0
BuildPreReq: xsltproc gnome-doc-utils
BuildPreReq: gstreamer0.10-devel >= 0.10.2

BuildPreReq: rpm >= %rpm_ver
BuildPreReq: GConf2 >= %GConf_ver

# For gnome-doc-common
BuildRequires: gnome-common
BuildRequires: docbook-utils gst-plugins-devel libSM-devel libgdbm-devel libpopt-devel perl-XML-Parser

%if_enabled battstat
BuildPreReq: libapm-devel
%endif

%if_with hal
BuildPreReq: libhal-devel >= %hal_ver
BuildPreReq: libdbus-devel >= %dbus_ver
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
%endif

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-applets package provides
following small utilities for the GNOME panel:

battstat-applet is a utility that displays the status of the power
managment subsystem on laptops. It queries the APM BIOS and displays
remaining battery charge percentage in a graphical window.

charpick_applet allows you to easily write many characters which are not
available on standard keyboards such as accented  characters,  certain
mathematical  symbols and punctuation, and some other special symbols.

drivemount_applet allows to quickly and easily mount and unmount various
types of drives and file systems on computer.

geyes_applet is a pair of eyes which follow mouse pointer around the screen.

gweather displays the current temperature and weather conditions in
numeric and iconified form inside the applet.

mini_commander_applet adds a command line to your Panel. It features
command completion, command history, changeable macros and an optional
built-in clock. Because of the changeable macros you can use it for many
different tasks. You can simply start a program (or a short macro) or
view a web page or search for a man/info page etc.

mixer_applet provides a simple and convenient interface for controlling
the sound volume and launching the Audio Mixer.

multiload_applet contains 5 applets: CPU Load Applet, Load Average
Applet, Memory Load Applet, Net Load Applet and Swap Load Applet.

%package common
Summary: Common files for GNOME panel applets
Group: Graphical desktop/GNOME
PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper
# since 2.9
Obsoletes: %name-cdplayer
Obsoletes: %name-wireless
Obsoletes: %name-mailcheck
Obsoletes: %name-gkb
Obsoletes: %name-modemlights
# Just to make sure applets don't get installed without the panel itself
# (a "natural" dependency on libgnome-panel exists anyway).
Requires: gnome-panel >= %gnome_panel_ver

%description common
This package contains common files needed to run GNOME panel applets.

%package accessx-status
Summary: Accessibility Keyboard Status Applet for the GNOME panel
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description accessx-status
This applet shows the status of the keyboard accessibility features,
including the current state of the keyboard, if those features are in
use.

%if_enabled battstat
%package battstat
Summary: Laptop Power Subsystem Applet for the GNOME panel
Group: Monitoring
PreReq: %name-common = %version-%release

%description battstat
battstat-applet is a utility that displays the status of the power
managment subsystem on laptops. It queries the APM BIOS and displays
remaining battery charge percentage in a graphical window.
%endif

%package cpufreq
Summary: GNOME CPUFreq Applet
Group: Monitoring
PreReq: %name-common = %version-%release

%description cpufreq
GNOME CPUFreq Applet is a CPU Frequency Scaling Monitor for GNOME Panel.

%package charpick
Summary: Character Picker Applet for the GNOME panel
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description charpick
charpick_applet allows you to easily write many characters which are not
available on standard keyboards such as accented  characters,  certain
mathematical  symbols and punctuation, and some other special symbols.

%package drivemount
Summary: Drive Mount Applet for the GNOME panel.
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description drivemount
drivemount_applet allows to quickly and easily mount and unmount various
types of drives and file systems on computer.

%package geyes
Summary: gEyes Applet for the GNOME panel
Group: Toys
PreReq: %name-common = %version-%release

%description geyes
geyes_applet is a pair of eyes which follow mouse pointer around the screen.

%package gswitchit
Summary: Keyboard state indicator and switcher for GNOME panel
Summary (ru_RU.UTF-8): Индикатор и переключатель раскладок клавиатуры для панели GNOME
Group: Graphical desktop/GNOME
Obsoletes: gnome-applets-extra-gswitchit
Provides: gnome-applets-extra-gswitchit = %version-%release
PreReq: %name-common = %version-%release
Requires: libxklavier >= %libxklavier_ver

%description gswitchit
GSwitchIt is just a simple keyboard state indicator and switcher for
GNOME panel. GSwitchIt - controls and shows switching between the
different keyboard layouts separately for different windows.

%package gswitchit-devel
Summary: Development files for GSwitchIt
Summary (ru_RU.UTF-8): Файлы разработчика дополнений к GSwitchIt
Group: Development/GNOME and GTK+
Obsoletes: gnome-applets-extra-gswitchit-devel
Provides: gnome-applets-extra-gswitchit-devel = %version-%release
Requires: gnome-applets-gswitchit = %version-%release

%description gswitchit-devel
This package provides development files and libraries needed to build
plugins for GSwitchIt.

%package gweather
Summary: Weather Applet for the GNOME panel
Group: Toys
PreReq: %name-common = %version-%release

%description gweather
gweather displays the current temperature and weather conditions in
numeric and iconified form inside the applet.

%package gweather-devel
Summary: Development files for GWeather applet
Group: Development/GNOME and GTK+
Requires: %name-gweather = %version-%release

%description gweather-devel
This package provides development files and libraries needed to extend and
use GWeather from other programs.

%package mini-commander
Summary: Mini-Commander Applet for the GNOME panel
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description mini-commander
mini_commander_applet adds a command line to your Panel. It features
command completion, command history, changeable macros and an optional
built-in clock. Because of the changeable macros you can use it for many
different tasks. You can simply start a program (or a short macro) or
view a web page or search for a man/info page etc.

%package mixer
Summary: Mixer Applet for the GNOME panel
Group: Sound
PreReq: %name-common = %version-%release
Requires: gnome2-media-gmix

%description mixer
mixer_applet provides a simple and convenient interface for controlling
the sound volume and launching the Audio Mixer.

%if_enabled modemlights
%package modemlights
Summary: Modem Lights applet for the GNOME panel
Group: Monitoring
PreReq: %name-common = %version-%release

%description modemlights
modemlights_applet can be used to tell if your modem is working, and to
track its behavior and performance. It can also be configured to call a
separate script or program to have your modem connect and disconnect
when you click on the button with the single green light.
%endif

%package multiload
Summary: Multiload (cpu, load average, memory, net, swap) applet for the GNOME panel
Group: Monitoring
PreReq: %name-common = %version-%release
Requires: gnome-system-monitor

%description multiload
multiload_applet contains 5 applets: CPU Load Applet, Load Average
Applet, Memory Load Applet, Net Load Applet and Swap Load Applet.

%package stickynotes
Summary: Stickynotes applet for the GNOME panel
Group: Office
PreReq: %name-common = %version-%release
Requires: libwnck >= %libwnck_ver

%description stickynotes
stickynotes_applet enables to create, view, and manage sticky-notes on
Gnome Desktop.

%package trash
Summary: GNOME Trash Applet
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description trash
This package provides a GNOME Trash Applet. You can drag items from
Nautilus onto this applet to move them to your trash folder.

%define _libexecdir %_libdir/%name
%define _sklocalstatedir %_localstatedir/scrollkeeper
%define _bonobosrvdir %_libdir/bonobo/servers

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch4 -p0

%build
gnome-doc-common --copy
%__autoreconf

export DATADIRNAME=share
export ac_cv_path_SU_TOOL=%_bindir/su
# Note: battstat switch is broken; only --disable-battstat works.
%configure \
    --disable-schemas-install \
    --disable-scrollkeeper \
    --enable-flags \
    --enable-mini-commander \
    --enable-stickynotes \
	--enable-gstreamer \
    %{subst_with hal} \
    %{?_disable_battstat:--disable-battstat} \
    %{?_disable_frequency_selector:--disable-frequency-selector} \
    %{subst_enable modemlights} \

# SMP-incompatible build
%make

%install
%make_install install DESTDIR=%buildroot _sklocalstatedir=%buildroot%_sklocalstatedir

%define applets accessx-status battstat char-palette cpufreq-applet command-line drivemount geyes gweather mixer_applet2 stickynotes_applet multiload gswitchit trashapplet
%find_lang --with-gnome %name %name-2.0 %applets

%post accessx-status
%update_scrollkeeper

%if_enabled battstat
%post battstat
%gconf2_install battstat
%update_scrollkeeper
%endif

%post cpufreq
%gconf2_install cpufreq-applet
%update_scrollkeeper

%post charpick
%gconf2_install charpick
%update_scrollkeeper

%post drivemount
%gconf2_install drivemount
%update_scrollkeeper

%post geyes
%gconf2_install geyes
%update_scrollkeeper

#post gtik
#gconf2_install gtik
#update_scrollkeeper

%post gswitchit
%update_scrollkeeper
%gconf2_install gswitchit
%gconf2_set bool /apps/gswitchit/General/showFlags true

%post gweather
%gconf2_install gweather
%update_scrollkeeper

%post mini-commander
%gconf2_install mini-commander
%update_scrollkeeper

%post mixer
%gconf2_install mixer
%update_scrollkeeper

%post multiload
%gconf2_install multiload
%update_scrollkeeper

%post stickynotes
%gconf2_install stickynotes
%update_scrollkeeper

%post trash
%update_scrollkeeper

%if_enabled battstat
%preun battstat
if [ $1 = 0 ]; then
%gconf2_install battstat
fi
%endif

%preun cpufreq
if [ $1 = 0 ]; then
%gconf2_install cpufreq-applet
fi

%preun charpick
if [ $1 = 0 ]; then
%gconf2_install charpick
fi

%preun drivemount
if [ $1 = 0 ]; then
%gconf2_install drivemount
fi

%preun geyes
if [ $1 = 0 ]; then
%gconf2_uninstall geyes
fi

#preun gtik
#if [ $1 = 0 ]; then
#gconf2_uninstall gtik
#fi

%preun gweather
if [ $1 = 0 ]; then
%gconf2_uninstall gweather
fi

%preun mini-commander
if [ $1 = 0 ]; then
%gconf2_uninstall mini-commander
fi

%preun mixer
if [ $1 = 0 ]; then
%gconf2_uninstall mixer
fi

%preun multiload
if [ $1 = 0 ]; then
%gconf2_uninstall multiload
fi

%preun stickynotes
if [ $1 = 0 ]; then
%gconf2_uninstall stickynotes
fi

%postun accessx-status
%clean_scrollkeeper

%if_enabled battstat
%postun battstat
%clean_scrollkeeper
%endif

%postun cpufreq
%clean_scrollkeeper

%postun charpick
%clean_scrollkeeper

%postun drivemount
%clean_scrollkeeper

%postun geyes
%clean_scrollkeeper

#postun gtik
#clean_scrollkeeper

%postun gswitchit
%clean_scrollkeeper

%postun gweather
%clean_scrollkeeper

%postun mini-commander
%clean_scrollkeeper

%postun mixer
%clean_scrollkeeper

%postun multiload
%clean_scrollkeeper

%postun stickynotes
%clean_scrollkeeper

%postun trash
%clean_scrollkeeper

%files

%files common -f %name-2.0.lang
%doc AUTHORS ChangeLog NEWS README
%dir %_libexecdir
%_libexecdir/null_applet
%_bonobosrvdir/GNOME_NullApplet_Factory.server
%dir %_datadir/%name

%files accessx-status -f accessx-status.lang
%_libexecdir/accessx-status*
%_libdir/bonobo/*/*AccessxStatus*
%_datadir/gnome-2.0/*/*AccessxApplet*
%_datadir/pixmaps/accessx-status*
%_iconsdir/hicolor/48x48/apps/ax-applet.png

%if_enabled battstat
%files battstat -f battstat.lang
%_libexecdir/battstat*
%_libdir/bonobo/*/*Battstat*
%_datadir/gnome-2.0/*/*Battstat*
%_datadir/gnome-applets/glade/battstat_applet.glade
%config %_sysconfdir/gconf/schemas/battstat*
%config %_sysconfdir/sound/*/battstat*
%endif

%files cpufreq -f cpufreq-applet.lang
%if_enabled frequency_selector
%attr(4711,root,root) %_bindir/cpufreq-selector
%endif
%_libexecdir/cpufreq-applet
%_bonobosrvdir/GNOME_CPUFreqApplet.server
%_datadir/gnome-2.0/ui/GNOME_CPUFreqApplet.xml
%_datadir/gnome-applets/glade/cpufreq-preferences.glade
%_iconsdir/hicolor/*/apps/gnome-cpu-frequency-applet.png
%_iconsdir/hicolor/scalable/apps/gnome-cpu-frequency-applet.svg
%config %_sysconfdir/gconf/schemas/cpufreq-applet.schemas

%files charpick -f char-palette.lang
%_libexecdir/charpick*
%_libdir/bonobo/*/*Charpick*
%_datadir/gnome-2.0/*/*Charpick*
%_iconsdir/*/*/*/charpick.png
%config %_sysconfdir/gconf/schemas/charpick*

%files drivemount -f drivemount.lang
%_libexecdir/drivemount*
%_libdir/bonobo/*/*DriveMount*
%_datadir/gnome-2.0/*/*DriveMount*
%config %_sysconfdir/gconf/schemas/drivemount*

%files geyes -f geyes.lang
%_libexecdir/geyes*
%_libdir/bonobo/*/*Geyes*
%_datadir/gnome-2.0/*/*Geyes*
%_datadir/gnome-applets/geyes
%_iconsdir/hicolor/*/apps/gnome-eyes-applet.png
%_iconsdir/hicolor/scalable/apps/gnome-eyes-applet.svg
%config %_sysconfdir/gconf/schemas/geyes*

%files gswitchit -f gswitchit.lang
%_bindir/gswitchit-plugins-capplet
%_libexecdir/gnome-keyboard-applet
%_libdir/bonobo/*/GNOME_KeyboardApplet.server
%_datadir/gnome-2.0/ui/*GSwitchItApplet*
%_datadir/gnome-applets/glade/gswitchit*.glade
%_datadir/xmodmap
%_desktopdir/gswitchit-plugins.desktop
%_liconsdir/gswitchit*.png
%config %_sysconfdir/gconf/schemas/gswitchit*

%files gswitchit-devel
%dir %_includedir/libgswitchit
%_includedir/libgswitchit/*.h
%_libdir/pkgconfig/gswitchit.pc

#files invest -f gtik2_applet2.lang
#_libexecdir/invest*
#_libdir/bonobo/*/*Invest*
#_datadir/gnome-2.0/*/*Invest*
#config %_sysconfdir/gconf/schemas/invest*

%files gweather -f gweather.lang
%_libexecdir/gweather*
%_datadir/gnome-applets/gweather
%_libdir/libgweather.so.*
%_libdir/bonobo/*/*GWeather*
%_datadir/gnome-2.0/ui/*GWeather*
%config %_sysconfdir/gconf/schemas/gweather*

%files gweather-devel
%dir %_includedir/libgweather
%_includedir/libgweather/*.h
%_libdir/libgweather.a
%_libdir/libgweather.so
%_libdir/pkgconfig/gweather.pc

%files mini-commander -f command-line.lang
%_libexecdir/mini_commander*
%_libexecdir/mc-install*
%_libdir/bonobo/*/*MiniCommander*
%_datadir/gnome-2.0/*/*MiniCommander*
%_datadir/gnome-applets/glade/mini-commander.glade
%_liconsdir/gnome-mini-commander.png
%config %_sysconfdir/gconf/schemas/mini-commander*

%files mixer -f mixer_applet2.lang
%_libexecdir/mixer*
%_libdir/bonobo/*/*Mixer*
%_datadir/gnome-2.0/*/*Mixer*
%config %_sysconfdir/gconf/schemas/mixer*

%if_enabled modemlights
%files modemlights
%_libexecdir/modemlights*
%_libdir/bonobo/*/*ModemLights*
%_datadir/gnome-2.0/*/*Modemlights*
%config %_sysconfdir/gconf/schemas/modemlights*
%endif

%files multiload -f multiload.lang
%_libexecdir/multiload*
%_libdir/bonobo/*/*MultiLoad*
%_datadir/gnome-2.0/*/*Multiload*
%_datadir/pixmaps/*cpu*
%config %_sysconfdir/gconf/schemas/multiload*

%files stickynotes -f stickynotes_applet.lang
%_libexecdir/stickynotes*
%_libdir/bonobo/*/*StickyNotes*
%_datadir/gnome-2.0/*/*StickyNotes*
%_datadir/gnome-applets/glade/stickynotes.glade
%_datadir/pixmaps/stickynotes
%_iconsdir/hicolor/*/apps/gnome-sticky-notes-applet.png
%_iconsdir/hicolor/scalable/apps/gnome-sticky-notes-applet.svg
%config %_sysconfdir/gconf/schemas/stickynotes*

%files trash -f trashapplet.lang
%_libexecdir/trashapplet
%_bonobosrvdir/GNOME_Panel_TrashApplet.server
%_datadir/gnome-2.0/ui/GNOME_Panel_TrashApplet.xml
%_datadir/gnome-applets/glade/trashapplet.glade

%exclude %_bonobosrvdir/GNOME_CDPlayerApplet.server
%exclude %_bonobosrvdir/GNOME_MailcheckApplet_Factory.server
%exclude %_bonobosrvdir/GNOME_Panel_WirelessApplet.server

%changelog
* Sun Feb 11 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt2
- removed no more needed patch that relaxes DBus dependence to version 0.62
- added a patch that installs an additional header file (for gswitchit-plugins).

* Thu Dec 21 2006 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version 2.16.2 (with rpmrb script)

* Mon Oct 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version (2.16.1)
- updated dependencies

* Sat Sep 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0.1-alt1
- new version (2.16.0.1)

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)
- switched off battstat applet building, as gnome-power-manager provides
  its functionality, and battstat depends on libapm that doesn't exist on
  x86_64.

* Sat Sep 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.90-alt3
- fixed broken dependency in the virtual package.

* Thu Aug 31 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.90-alt2
- rebuild, no changes

* Wed Aug 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.90-alt1
- new version (2.15.90)

* Tue Aug 22 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.3-alt1
- new version

* Sat Aug 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt5
- rebuilt with new Gtk+.

* Fri Jun 09 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt4
- enabled battstat applet building (building WILL fail on x86_64, since
  there's no libapm for this arch).
- fixed more packaging errors.

* Thu Jun 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt3
- spec cleanup

* Wed Jun 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt2
- replaced gstreamer-plugins-devel with gst-plugins-devel in buildreqs.

* Mon Jun 05 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version (2.14.2)
- fixed excess files in gswitchit subpackage.

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Sat Apr 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version (2.14.0)

* Mon Mar 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.4-alt3
- fixed libgweather packaging mess (Bug #9185).

* Mon Feb 20 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.4-alt2
- added gweather-devel subpackage.

* Sat Feb 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.4-alt1
- new version
- dependencies updated, spec cleanup
- formally resurrected modemlights applet (disabled, needs system-tools-backends).
- temporarily disabled battstat applet, until libnotify 0.3.2 appears.

* Thu Feb 09 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.12.2-alt2.1
- fixed buildreqs.

* Mon Nov 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.2-alt2
- new version

* Sun Nov 20 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt3
- Fixed Bug #7862.
- Fixed Bug #8532. Also fixed groups of other subpackages.

* Fri Oct 07 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt2
- Fixed Bug #5838.

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed excess buildreqs.
- Removed the patch that was added in 2.11.93-alt1.
- Added /usr/share/gnome-applets to %files of gnome-applets-common.

* Sun Sep 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.93-alt1
- 2.11.93
- Added a temporary patch for building without HAL (already in GNOME CVS but wasn't released yet).

* Mon Apr 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.7-alt1
- 2.9.7.

* Thu Feb 10 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.6-alt1
- 2.9.6
- gtick built with gucharmap support.

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.5-alt1
- 2.9.5.
- gkb, cdplayer, mailcheck, wireless, modemlights obsolete.
- new cpufreq, trash applets.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1.1-alt1
- 2.8.1.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.3-alt1
- 2.7.3

* Thu Aug 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2.1-alt1
- 2.6.2.1

* Tue Jun 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1.1
- fix gswitchit (patch5).

* Fri May 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.8-alt1
- 2.5.8

* Mon Feb 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Mon Feb 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt2
- rebuild with new libgtop2-2.5.1

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Sat Oct 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0
- additional belorussian locations for gweather from Serg Kozhemyakin

* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.7-alt1
- 2.3.7

* Thu Jul 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Mon Jun 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Mon Jun 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt2
- rebuild with libgtop2-2.0.2

* Mon Jun 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Mon Jun 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3
- new accessibility keyboard status applet.

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Mon Apr 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Sun Jan 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- default lock file for modemlights applet fixed.
- geyes themes installation and schema file fixed.

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Thu Nov 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Wed Nov 06 2002 AEN <aen@altlinux.ru> 2.0.3-alt2
- rebuilt with new gdbm

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt2
- rebuild with new pango, gtk+

* Mon Sep 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1.1
- buildreqs updated.
- files section for gweather fixed.
- gconf2_install macro used for schemas installation.
- scrollkeeper >= 0.3.11 added to requires list.
- gnome-system-monitor added to requires list for multiload applet.
- gnome-applets virtual package installs all applets.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Thu Jul 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus.
